Package org.eclipse.gef.common.beans.property

## Class SetMultimapProperty<K,​V>

- java.lang.Object
- - org.eclipse.gef.common.beans.binding.SetMultimapExpression<K,​V>
  - - org.eclipse.gef.common.beans.property.ReadOnlySetMultimapProperty<K,​V>
    - - org.eclipse.gef.common.beans.property.SetMultimapProperty<K,​V>

Type Parameters:
  `K` - The key type of the wrapped `ObservableSetMultimap`.
  `V` - The value type of the wrapped `ObservableSetMultimap`.

All Implemented Interfaces:
  `Multimap<K,​V>`, `SetMultimap<K,​V>`, `javafx.beans.Observable`, `javafx.beans.property.Property<ObservableSetMultimap<K,​V>>`, `javafx.beans.property.ReadOnlyProperty<ObservableSetMultimap<K,​V>>`, `javafx.beans.value.ObservableObjectValue<ObservableSetMultimap<K,​V>>`, `javafx.beans.value.ObservableValue<ObservableSetMultimap<K,​V>>`, `javafx.beans.value.WritableObjectValue<ObservableSetMultimap<K,​V>>`, `javafx.beans.value.WritableValue<ObservableSetMultimap<K,​V>>`, `ObservableSetMultimapValue<K,​V>`, `WritableSetMultimapValue<K,​V>`, `ObservableSetMultimap<K,​V>`

Direct Known Subclasses:
  `SetMultimapPropertyBase`

    public abstract class SetMultimapProperty<K,​V>
    extends ReadOnlySetMultimapProperty<K,​V>
    implements javafx.beans.property.Property<ObservableSetMultimap<K,​V>>, WritableSetMultimapValue<K,​V>

Abstract base class defining contract for a `Property` wrapping a `ObservableSetMultimap`.

This class provides identical functionality for `SetMultimap` as `MapProperty` for `Map`, `SetProperty` for `Set`, or `ListProperty` for `List`.

### Constructor Summary

Constructors
`SetMultimapProperty()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `bindBidirectional​(javafx.beans.property.Property<ObservableSetMultimap<K,​V>> other)`
`void` `setValue​(ObservableSetMultimap<K,​V> v)`
`void` `unbindBidirectional​(javafx.beans.property.Property<ObservableSetMultimap<K,​V>> other)`

### Methods inherited from class org.eclipse.gef.common.beans.property.ReadOnlySetMultimapProperty

`appendValueToString, bindContent, bindContentBidirectional, equals, hashCode, toString, unbindContent, unbindContentBidirectional`

### Methods inherited from class org.eclipse.gef.common.beans.binding.SetMultimapExpression

`asMap, asString, clear, containsEntry, containsKey, containsValue, emptyProperty, entries, get, getValue, isEmpty, isEqualTo, isNotEqualTo, isNotNull, isNull, keys, keySet, put, putAll, putAll, remove, removeAll, replaceAll, replaceValues, setMultimapExpression, size, sizeProperty, values, valuesAt, valuesAt`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.common.collect.Multimap

`clear, containsEntry, containsKey, containsValue, forEach, hashCode, isEmpty, keys, keySet, put, putAll, putAll, remove, size, values`

### Methods inherited from interface javafx.beans.Observable

`addListener, removeListener`

### Methods inherited from interface javafx.beans.value.ObservableObjectValue

`get`

### Methods inherited from interface org.eclipse.gef.common.collections.ObservableSetMultimap

`addListener, removeListener, replaceAll`

### Methods inherited from interface javafx.beans.value.ObservableValue

`addListener, getValue, removeListener`

### Methods inherited from interface javafx.beans.property.Property

`bind, isBound, unbind`

### Methods inherited from interface javafx.beans.property.ReadOnlyProperty

`getBean, getName`

### Methods inherited from interface com.google.common.collect.SetMultimap

`asMap, entries, equals, get, removeAll, replaceValues`

### Methods inherited from interface javafx.beans.value.WritableObjectValue

`get, set`

### Methods inherited from interface javafx.beans.value.WritableValue

`getValue`

### Constructor Detail

#### SetMultimapProperty

    public SetMultimapProperty()

### Method Detail

#### bindBidirectional

    public void bindBidirectional​(javafx.beans.property.Property<ObservableSetMultimap<K,​V>> other)

Specified by:
  `bindBidirectional` in interface `javafx.beans.property.Property<K>`

#### setValue

    public void setValue​(ObservableSetMultimap<K,​V> v)

Specified by:
  `setValue` in interface `javafx.beans.value.WritableValue<K>`

#### unbindBidirectional

    public void unbindBidirectional​(javafx.beans.property.Property<ObservableSetMultimap<K,​V>> other)

Specified by:
  `unbindBidirectional` in interface `javafx.beans.property.Property<K>`